/* Base variables */
:root {
  
  --primary-color: #094951;
  --primary-color-light: #12606b;;
  --accent-color: #DF641C;
  --accent-over-color: #C75010;
  --shadow-over-color: rgba(240, 85, 18, 0.3);
  --highlight-color: #FF7A33;
  --error-color: red;
  --text-color: #094951;
  --background-color: white;
  --footer-text-color-link : #DF641C;
  --footer-background-color : transparent;
  --draw-line-color : #ff6600;
  --font-main: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  --header-img-height: 30px;
  --etat-de-forme:#DF641C;
  --etat-de-forme-label-km:black;
  --etat-de-forme-label-unit:black;
  --etat-de-forme-grid-color:#e6eef9;
  --etat-de-forme-bgd-0:#0a8d2c;
  --etat-de-forme-bgd-40:#69a63e;
  --etat-de-forme-bgd-70:#d0b037;
  --etat-de-forme-bgd-100:#e48a1d;
  --etat-de-forme-opacity:0.55;
  --tracegeneration-popup-textcolor:#1e2a3a;
  --admin-blue-color:#2563eb;
  --admin-hover-blue-color:#1d4ed8;

}

/* Base styles */
body {
  font-family: var(--font-main);
  color: var(--text-color);
  align-items: flex-start;
  background: var(--background-color);

}

.icon-color {
  filter: none;
}

input[disabled] {
  border: 1px solid #ccc !important;
  background-color: #f9f9f9;
  color: #555;
}

.page-title {
  max-width: 95%;
  margin: 10px auto;
  padding: 10px;
  background: #fff;
  border-radius: 14px;
  box-shadow: 0 4px 24px rgba(9, 73, 81, 0.10);
  text-align: center;
  color:var(--primary-color);
  font-size: 1.2em !important;
  font-family: var(--font-main)!important;
}

  .page-title h1 {
    font-family: var(--font-main)!important;
    text-align: center;
    margin-bottom: 24px;
    font-size: clamp(1.2rem, 2vw + 0.5rem, 1.4rem);
    color:var(--primary-color);
    font-style: normal!important;
    font-weight: normal!important;
  }





    .page-title h2 {
    font-family: var(--font-main)!important;
    text-align: center;
    margin: 12px;
    font-size: clamp(0.9rem, 1.6vw + 0.15rem, 1.1rem);
    color:var(--primary-color);
    font-style: normal!important;
    font-weight: normal!important;
  }


  .standard-container h1 {
    font-family: var(--font-main)!important;
    text-align: center;
    margin: 0px;
    font-size: clamp(1.2rem, 2vw + 0.5rem, 1.4rem);
    color:var(--primary-color);
    font-style: normal!important;
    font-weight: normal!important;
  }


    .standard-container h2 {
    font-family: var(--font-main)!important;
    text-align: center;
    margin: 12px;
    font-size: clamp(0.9rem, 1.6vw + 0.15rem, 1.1rem);
    color:var(--primary-color);
    font-style: normal!important;
    font-weight: normal!important;
  }


/* Header styles */
header {
  text-align: center;
  background: transparent;
  padding: 0px;
}

.faq-main-container {
  background: transparent;
  padding: 20px;
}


#prContainer {
  flex-grow: 1;
  overflow-y: auto;
  padding: 4px;

}

#prList {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(120px, 13vw));
    gap: 4px;
}
#prList li {
    background: #f8f9fa;
    padding: 4px 4px;
    border-radius: 6px;
    text-align: left;
    height: 2.1vw; 
}



/* Style pour les inputs radio */
input[type="radio"] {
  appearance: none; /* Supprime le style par défaut */
  width: 16px; /* Largeur fixe pour un cercle parfait */
  height: 16px; /* Hauteur identique pour un cercle parfait */
  min-width: 16px; /* Empêche la compression */
  min-height: 16px; /* Empêche la compression */
  border: 2px solid var(--accent-color); /* Bordure orange */
  border-radius: 50%; /* Forme circulaire */
  background-color: #fff; /* Fond blanc */
  cursor: pointer;
  position: relative;
}

/* Style pour le bouton radio sélectionné */
input[type="radio"]:checked::before {
  content: "";
  display: block;
  width: 12px; /* Largeur fixe pour un cercle parfait */
  height: 12px; /* Hauteur identique pour un cercle parfait */
  min-width: 12px; /* Empêche la compression */
  min-height: 12px; /* Empêche la compression */
  background-color: var(--accent-color); /* Remplissage orange */
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%); /* Centre le point intérieur */
}




/* Conteneur du message de confirmation */
.confirmation-box {
  border: 2px solid var(--accent-color);
  background-color: #fff8f0;
  padding: 20px;
  margin: 30px auto;
  text-align: center;
  border-radius: 10px;
  max-width: 500px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}


.confirmation-title {
  color: var(--accent-color);
}

.download-button {
  display: inline-block;
  font-size: 16px;
  font-weight: bold;
  color: #fff !important;
  background-color: var(--accent-color); /* ex: #ff6600 */
  padding: 12px 20px;
  border-radius: 5px;
  text-decoration: none !important;
  white-space: nowrap;
  max-width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  box-sizing: border-box;
  border: none;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
  
}

.download-button:hover {
  background-color: var(--accent-over-color);
  transform: translateY(-2px);
  box-shadow: 0 4px 8px var(--shadow-over-color);
  text-decoration: none !important; /* Assure que le soulignement ne revient pas au survol */
}


.download-button:disabled {
background-color:gray;
  
  
}
.download-button:disabled:hover {
background-color:gray;
background-color: none;
  transform: none;
  box-shadow: none;
  text-decoration: none !important; /* Assure que le soulignement ne revient pas au survol */
}

.faq-main-container h2 {
  text-align: center;
  color: var(--primary-color);
  margin-bottom: 20px;  
  font-size: 1.5em;
}


input, select, textarea {
  font-size: 16px; /* iOS ne zoome plus */
}


.clickable-card:hover .race-custo-container {
    transform: translateY(-3px);
    box-shadow: 0 4px 15px rgba(0,0,0,0.2);
    cursor: pointer;
}

/* ****************************RACE SECTION**************************** */

/*
.race-custo-container {
  max-width: 500px;
  margin: 5px auto;
  background: white;
  border-radius: 12px;
  box-shadow: 0 4px 24px rgba(0,0,0,0.08);
  padding: 5px 5px 5px 5px;
  text-align: center;
  border-style: dashed;
  border-color: var(--accent-color)!important;
  border-width: 1px!important;
}

.race-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
  padding: 20px;
}

.race-card {
  position: relative;
  padding: 15px;
  border-radius: 8px;
  box-shadow: 0 2px 8px rgba(0,0,0,0.1);
}

.race-cuto-card {
  position: relative;
  border-radius: 8px;
  box-shadow: 0 2px 8px rgba(0,0,0,0.1);
}
  */




.race-hero-text h2 {
  font-size: 1.4rem;
  margin-bottom: 10px;
}

.race-meta {
  list-style: none;
  padding: 0;
  margin: 0;
}

.race-meta li {
  margin-bottom: 5px;
}

/* Optionnel : ajustement pour très petits écrans */
@media (max-width: 400px) {
  .race-card {
    padding: 10px;
  }
  .race-hero-text h2 {
    font-size: 1.2rem;
  }
}

.strava {
    color: var(--accent-color); /* la couleur orange Strava */
    font-weight: bold; /* optionnel */
}

.race-date {
  position: absolute;
  top: 8px;
  right: 12px;
  font-size: 0.9em;
  color: var(--primary-color-light);
  font-weight: normal;
}

.race-km {
  position: absolute;
  top: 30px;
  right: 12px;
  font-size: 0.9em;
  color: var(--primary-color-light);
  font-weight: normal;
}

.form-field {
  display: flex;
  flex-direction: column;
  align-items: flex-start; /* <-- aligne label et input à gauche */
}

.form-field label {
  display: block;
  margin-bottom: 6px;
  color: var(--primary-color);
  text-align: left; /* <-- s'assure que le texte du label est aligné à gauche */
}
  .race-hero { display:flex; gap:24px; align-items:center;justify-content: flex-start;text-align: center; flex-wrap:wrap;   }
  .race-hero-text { display: flex; color: var(--primary-color); 
    flex-direction: column;
    align-items: center; width: 100%; }
  .race-hero-image { flex:0 0 320px; }
  .race-inputs { margin-top:15px; margin-right: 10px;}
  .form-grid { display:grid; grid-template-columns: repeat(auto-fit, minmax(200px, 1fr)); gap:12px; }
  
  .form-field input, .form-field select , .form-field datetime-local { width:100%; padding:8px 10px; border:1px solid var(--accent-color); border-radius:6px; background-color: white;  font-size: 16px; height: 2.3rem;}

/*forcer pour mobile safari IOS*/
  #departureDateTime, #watch {
  width: 100%;
  padding: 8px;
  border-radius: 6px;
  font-size: 16px;
  border: 1px solid var(--accent-color);
  background-color: white; /* le fond de l'input */
  color: #000;            /* le texte */
  font-size: 1rem;
  -webkit-appearance: none; /* supprime certaines apparences natives */
}


  .form-actions {
  display: flex;
  justify-content: center; /* centre le bouton */
  width: 100%;
  margin-top: 10px;
}

.race-header {
    display: flex;
    align-items: center;
    justify-content: center;  /* centré ensemble */
    gap: 8px;                  /* très proche */
    margin: 0;                 /* plus aucun espace au-dessus */
    padding-top: 5px;          /* tiny padding */
}

.race-back {
    text-decoration: none;
    font-weight: bold;
    color: var(--accent-color)!important;
    font-size: 15px;
}

.icon-button {
  background: none;
  border: none!important;
  padding: 4px;         /* petit padding */
  font-size: 20px;      /* taille de l'emoji */
  cursor: pointer;
  line-height: 1;
  width: auto;          /* empêche d'être large */
  height: auto;
}

/* Tooltip */
.icon-button::after {
  content: attr(data-tooltip);
  position: absolute;
  bottom: 125%;
  left: 50%;
  transform: translateX(-50%);
  background: #333;
  color: white;
  padding: 4px 8px;
  border-radius: 4px;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.2s;
  font-size: 12px;
  z-index: 2000;
}

/* Affichage au survol */
.icon-button:hover::after {
  opacity: 1;
}

/*
  .btn-accent {
  background-color: var(--accent-color, #FC4C02);
  color: white;
  padding: 10px 16px;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  font-weight: bold;
}

.btn-accent:hover {
  opacity: 0.9;
}*/

.btn-primary {
  background-color: #444;
  color: white;
  padding: 10px 16px;
  border: none;
  border-radius: 8px;
  cursor: pointer;
}

  

/* ****************************RACE SECTION END **************************** */


.header-link {
  display: inline-flex;
  align-items: center;
  gap: 10px;
  text-decoration: none;
}

.header-title {
  font-weight: bold;
  color: var(--primary-color);
  font-size: 22px;
}

.header-img {
  max-height: var(--header-img-height);
  margin-bottom: 5px;
}

#mapWrapper {
    position: relative;
    width: 100%;
  height: 70vh;
  z-index: 600;
}

#map {
    width: 100%;
    height: 100%;
}

/* Controls and form elements */
#controls,
#controls label,
#controls span,
#controls select,
#controls input,
#controls textarea,
#controls button {
  color: var(--primary-color);
}

#controls {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  margin: 10px;
  gap: 15px;
  padding: 10px;
 /* background: #fff;
  box-shadow: 0 0 10px rgba(9, 73, 91, 0.1);*/
}

#controlsLeftAligned {
  display: column;
  align-items: flex-start;
  justify-content: left;
  flex-wrap: wrap;
  gap: 15px;
  background: #fff;
  box-shadow: 0 0 10px rgba(9, 73, 91, 0.1);
  color: var(--primary-color);
  margin: 50px;
  background: #fff;
  border-radius: 12px;
  box-shadow: 0 4px 24px rgba(0,0,0,0.08);
  padding: 32px 24px 24px 24px;
}

#controlsContact {
  display: column;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 15px;
  padding: 10px;
  background: #fff;
  box-shadow: 0 0 10px rgba(9, 73, 91, 0.1);
}


/* Form elements */
button,
select,
input {
  padding: 5px;
  font-size: 14px;
  display: inline-block;
  width: auto;
  min-width: 100px;
  box-sizing: border-box;
}

.actionButton {
  background-color: var(--accent-color)!important;
  color: white !important;
  font-weight: bold;
  border: none;
  border-radius: 4px;
  padding: 8px 12px;
  cursor: pointer;
  height: 2.5rem;
  line-height: 1.3;
}

.actionButton:hover{
  background-color: var(--accent-over-color);
  box-shadow: 0 4px 8px var(--shadow-over-color) ;
  transform: translateY(-2px);
}

.actionButtonLight {
  width:100%; 
  padding:8px 10px; 
  border:1px solid var(--accent-color); 
  border-radius:6px; 
  background-color: white;  
  font-size: 16px; 
  height: 2.3rem;
}

.actionButtonLight:hover{
  box-shadow: 0 4px 8px var(--shadow-over-color);
  transform: translateY(-2px);
}

#resetMapButton {
  background-color: white;
  color: var(--primary-color) !important;
  font-weight: normal;
  border: 1px solid var(--primary-color);
  border-radius: 4px;
  padding: 8px 12px;
  cursor: pointer;
  height: 2.5rem;
}

/* DateTime input styles */
.datetime-label {
  display: flex;
  align-items: center;
  font-family: var(--font-main);
  font-weight: 600;
  color: var(--text-color);
  font-size: 1rem;
  gap: 12px;
  margin: 12px 0;
  max-width: 100%;
  flex-wrap: wrap;
}

.datetime-label input[type="datetime-local"] {
  padding: 8px 12px;
  font-size: 1rem;
  border: 2px solid var(--highlight-color);
  border-radius: 6px;
  background-color: #fff;
  color: var(--text-color);
  transition: border-color 0.3s ease, box-shadow 0.3s ease;
  outline: none;
  flex-shrink: 0;
  min-width: 250px;
  max-width: 250px;
}

.datetime-label input[type="datetime-local"]:focus {
  border-color: #e65c00;
  box-shadow: 0 0 8px rgba(255, 102, 0, 0.5);
}


#toggleUnits #currentUnit {
    color: black;
}

.unit-toggle button {
  color: var(--primary-color); 
  padding: 2x 2px;
  font-size: 13px;
  border-radius: 6px;
  border: 0px solid #ccc;
  
  background-color: #fff;
  cursor: pointer;
}

/*Ombre sous la modale*/
#paymentModal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 999999 !important;
  
}

#paymentContent {
  position: relative;
  background: white;
  border-radius: 15px;
  padding: 20px;
  width: 80%;
  max-width: 80%;
  height: calc(100% - 120px); /* prend presque toute la hauteur de l'écran */
  margin: 50px auto 50px auto;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;

} 

.payment-form {
  height: 100px;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;

}

.close-modal {
  position: absolute;
  top: 16px;
  right: 12px;
  background: none;
  border: none;
  font-size: 28px;
  color: #333;
  cursor: pointer;
  z-index: 1001;
  line-height: 1;
  padding: 0;
  transition: color 0.2s ease-in-out;
}

.close-modal:hover {
  color: #000;
}

#form_checkout{
 
}

.voucher-container {
  display: flex;
  align-items: center;
  gap: 8px;
  
  width: 100%;
  max-width: 100%;
}

.voucher-container input[type="text"] {
  flex-grow: 1;
  min-width: 0;
  padding: 10px 12px;
  font-size: 14px;
  border: 1px solid #ccc;
  border-radius: 6px;
}

.voucher-btn {
  flex-shrink: 0;
  background-color: var(--primary-color);
  color: white;
  border: none;
  padding: 6px 12px;
  font-size: 13px;
  border-radius: 6px;
  cursor: pointer;
  transition: background-color 0.2s ease-in-out;
  height: 36px;
  white-space: nowrap;
}

.voucher-btn:hover {
  background-color: var(--primary-color-light);
}

.voucher-btn:active {
  background-color: var(--primary-color);
}

#voucher {
  background-color: #fff3e0; /* Change ici la couleur */
  border: 1px solid #ccc;
  padding: 10px 12px;
  border-radius: 6px;
  font-size: 14px;
  color: #333; /* couleur du texte */
}


.voucher-label {
  margin-left: 10px;
  color: var(--accent-color);
  font-weight: 500;
  font-size: 14px;
}


#paymentContent input {
  width: 100%;
  margin: 10px 0;
  padding: 8px;
}


.payment-summary {
  flex-shrink: 0;
  text-align: center;
  margin-bottom: 10px;
}

.payment-summary h3 {
  color: var(--primary-color);
  margin-bottom: 10px;
  font-size: 1.2em;
}

/* Nouveau bloc pour afficher les infos en ligne */
.summary-details {
  color: var(--primary-color);
  display: flex;
  justify-content: center;
  gap: 10px; /* espace entre les éléments */
  flex-wrap: wrap; /* utile si l'écran est petit */
}

.summary-details p {

  margin: 0;
  font-size: 0.9em;
}


.button-row {
  display: flex;
  gap: 10px;
}


.pay-btn {
  padding: 12px;
  background: var(--accent-color)!important;
  color: white !important;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s ease;
  width: 100%;
  max-width: 100%;
}


.pay-btn:hover {
  background: var(--accent-over-color);
  transform: translateY(-2px);
  box-shadow: 0 4px 8px var(--shadow-over-color);
}

.cancel-btn {
  padding: 12px;
  background: #6c757d !important;
  color: white !important;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s ease;
}

#modalPrice {
  color: white !important;
}

.dateTimeAlert {
  margin-top: 8px;
  color: red; 
  font-size: 14px;
  font-weight: bold;
}


.cancel-btn:hover {
  background: #5a6268;
  transform: translateY(-2px);
  box-shadow: 0 4px 8px rgba(108, 117, 125, 0.3);
}

.divDisplayError {
  background: red;
  color: #fff;
  border-radius: 8px;
  padding: 8px 16px;
  margin: 12px auto 0 auto;
  text-align: center;
  font-size: 1em;
  box-shadow: 0 2px 8px rgba(60,80,120,0.06);
  max-width: 100%;
  width: fit-content;
  transition: opacity 0.3s;
  display: none;
  font-weight: 500;
  letter-spacing: 0.01em;
}

/* Intensity Section */
.intensity {
  margin-top: 30px;
  max-width: 500px;
  margin-left: auto;
  margin-right: auto;
  padding: 20px;
  background: white;
  border-radius: 10px;
  box-shadow: 0 2px 5px rgba(0,0,0,0.1);
  text-align: center;
}


#activityChart {
  object-fit: contain;

}

#chartContainer {
  flex-grow: 1;
  overflow-y: auto;
  padding: 15px;
  
  border-radius: 8px;

}

.lj-presentation {
  max-width: 850px;
  margin: 60px auto;
  padding: 40px;
  background-color: #ffffff!important;
  border-radius: 2px!important;
  box-shadow: 0 4px 16px black!important;
  font-family: "Inter", "Segoe UI", sans-serif;
  color: var(--primary-color);
  line-height: 1.7;
}

.lj-presentation h2 {
  color:var(--primary-color); 
  text-align:center; 
  margin-bottom:20px;
}

.lj-presentation p {
  font-size: 1.05rem;
  margin-bottom: 1.5rem;
}

.lj-presentation ul {
  list-style: none;
  padding-left: 0;
  margin: 1rem 0 2rem 0;
}

.lj-presentation li {
  background: #f6eee8;
  border-left: 4px solid var(--accent-color);
  padding: 10px 15px;
  margin: 8px 0;
  border-radius: 8px;
  font-size: 1rem;
}

.lj-highlight {
  background-color: var(--primary-color);
  color: #fff;
  padding: 1rem 1.5rem;
  border-radius: 12px;
  text-align: center;
  font-size: 1.1rem;
  font-weight: 500;
  box-shadow: 0 3px 8px rgba(0, 120, 255, 0.3);
}

.lj-highlight strong {
  color: #fff;
}

/* Texte principal en primary-color */
.primary-text {
    color: var(--primary-color);
}

/* Texte accentué en accent-color, gras, pas souligné */
.accent-text {
    color: var(--accent-color);
    font-weight: bold;
    text-decoration: none; /* supprime le souligné */
}

/* Tout le lien */
.clickable-card {
    display: block;
    text-decoration: none; /* supprime le souligné par défaut */
    color: inherit;        /* permet aux textes de garder leur couleur spécifique */
}

.clickable-card:hover .standard-container {
    transform: translateY(-3px);
    box-shadow: 0 4px 15px rgba(0,0,0,0.2);
    cursor: pointer;
}


/* applique l'effet sur l'élément lui-même */
.clickable-card:hover,
.clickable-card:focus-visible {
  transform: translateY(-3px);
  box-shadow: 0 4px 15px rgba(0,0,0,0.2);
  cursor: pointer;
  outline: none;
}

/* Tooltip */
.tooltip {
  position: absolute;
  background-color: var(--text-color);
  color: #fff;
  padding: 8px 10px;
  border-radius: 6px;
  font-size: 14px;
  max-width: 200px;
  z-index: 1001;
  display: none;
  pointer-events: none;
}



/* Footer */
footer {
  background-color: #f8f8f8;
  padding: 20px;
  text-align: center;
  font-size: 14px;
  color: var(--primary-color);
  border-top: 1px solid #ddd;
}

.footer-link {
  color: var(--primary-color);
  text-decoration: none;
  font-weight: bold;
  display: inline-block;
  margin-bottom: 10px;
}

.footer-link:hover {
  text-decoration: underline;
}

/*
.footer-slogan {
  font-weight: bold;
  color: var(--primary-color);
  margin: 10px 0;
}*/

.footer-info {
  color: var(--primary-color);
  margin: 5px 0;
}

.footer-legal {
  margin-top: 15px;
  color: var(--primary-color);
  
}

.footer-legal-link {
  color: var(--accent-color);
  font-weight: bold;
  text-decoration: none;
}

.footer-legal-link:hover {
  text-decoration: underline;
}

.language-selector {
  margin: 0.5rem 0 0.5rem 0;
  text-align: right;
  font-size: 0.9em;
  background-color: var(--footer-background-color) ;
  color: var(--footer-text-color-link)!important;
  width: 50px; /* pour centrer le select */
  margin-left: auto;
  margin-right: auto;
  min-width: 150px;
  max-width: 150px;
}

.language-selector select {
  padding: 0.4em 0.6em;
  /*border-radius: 5px;*/
  background-color: var(--footer-background-color) ;
  border: none;
  font-size: 0.9em;
  color: var(--footer-text-color-link)!important;
}

.lj-link {
  color: var(--footer-text-color-link)!important;
  text-decoration: none;
  font-weight: bold;
}
.lj-link:hover {
  text-decoration: underline;
  color: #d9440e;
}

.lj-footer {
  color: var(--footer-text-color-link)!important;
  background-color: var(--footer-background-color) ;
  font-size: 0.9em;
  padding: 10px 0 5px 0;
  text-align: center;
  border-top: 1px solid #e0e0e0;
}

.footer-links {
  margin-bottom: 5px;
}

.footer-links .lj-link {
  margin: 0 8px;
  color: var(--footer-text-color-link)!important;
  text-decoration: none;
}

.footer-sep {
  color: #bbb;
}

.footer-info, .footer-legal {
  margin: 2px 0;
  font-size: 0.85em;
}

.activity-card picture,
.activity-card img {
    background: transparent !important;
}

.cards-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px;
  padding: 5px;
  box-sizing: border-box;
  width: 100%;
  max-width: 100%;
}

.activity-card {
  background: white;
  border-radius: 10px;
  padding: 25px;
  box-shadow: 0 2px 5px rgba(0,0,0,0.1);
  text-align: center;
  transition: transform 0.3s ease;
  text-decoration: none;
  display: block;
  color: inherit;
  width: 280px;
}

.activity-card:hover {
  transform: translateY(-5px);
  box-shadow: 0 5px 15px rgba(0,0,0,0.2);
}

.activity-card img {
  height: 200px;
  object-fit: cover;
  border-radius: 15px;
  margin-bottom: 15px;
  background-color: #f5f5f5;
}

.activity-card h3 {
  margin: 0;
  color: var(--primary-color);
  font-size: 1.4em;
}

#miniProfile {
  border-radius: 18px;
  box-shadow: 0 2px 12px rgba(60,80,120,0.10);
  /* autres styles éventuels */
}

.no-bullets {
  list-style-type: none;  /* supprime les puces */
  padding-left: 0;        /* enlève le padding à gauche */
  margin-left: 0;         /* enlève la marge à gauche */
}

.faq-container {
  max-width: 700px;
  margin: 20px auto;
  background: #fff;
  border-radius: 14px;
  box-shadow: 0 4px 24px rgba(9,73,81,0.10);
  padding: 2px 18px 18px 18px;
  position: relative;
}

.faq-container h3 {
  text-align: center;
  color: var(--primary-color);
  margin-bottom: 8px;
  font-size: 1.5em;
  font-weight: bold;
  letter-spacing: 1px;
}

.faq-container h4 {
  color: var(--primary-color);
  margin-top: 1.7em;
  margin-bottom: 0.5em;
  font-size: 1.15em;
  border-left: 4px solid var(--primary-color);
  padding-left: 10px;
  font-weight: 600;
}

.faq-container a {
  color: var(--accent-color);
  text-decoration: none;
  font-weight: bold;
}

.faq-container a:hover {
  text-decoration: underline;
}

.cgv-container {
  max-width: 700px;
  margin: 40px auto;
  background: #fff;
  border-radius: 14px;
  box-shadow: 0 4px 24px rgba(9,73,81,0.10);
  padding: 36px 32px 28px 32px;
  position: relative;
}

.cgv-container h3 {
  text-align: center;
  color: var(--primary-color);
  margin-bottom: 8px;
  font-size: 1.5em;
  font-weight: bold;
  letter-spacing: 1px;
}

.cgv-container .cgv-date {
  text-align: center;
  color: #888;
  font-size: 1em;
  margin-bottom: 24px;
}

.cgv-container h4 {
  color: var(--primary-color);
  margin-top: 1.7em;
  margin-bottom: 0.5em;
  font-size: 1.15em;
  border-left: 4px solid var(--primary-color);
  padding-left: 10px;
  font-weight: 600;
}

.cgv-container p {
  color: var(--text-color)3;
  line-height: 1.7;
  margin-bottom: 0.7em;
}

.cgv-container .cgv-icon {
  display: block;
  text-align: center;
  font-size: 2.5em;
  margin-bottom: 10px;
}

@media (max-width: 640px) {
  .cgv-container   {
    border-radius: 0;                    /* plus d'arrondi quand on approche des bords */
    box-shadow: none;                    /* ou très légère */
    margin-bottom: 0px;
  }
}

.contact-container {
  max-width: 500px;
  margin: 20px auto;
  background: #fff;
  border-radius: 12px;
  box-shadow: 0 4px 24px rgba(0,0,0,0.08);
  padding: 12px 12px 12px 12px;
  text-align: center;
}


.standard-container {
  max-width: 500px;
  margin: 20px auto;
  background: #fff;
  border-radius: 12px;
  box-shadow: 0 4px 24px rgba(0,0,0,0.08);
  padding: 32px 24px 24px 24px;
  text-align: center;
}

.standard-container h3 {
    text-align: center;
    margin-bottom: 24px;
    color: var(--primary-color);
  }

.standard-container h4 {
    color: var(--primary-color);
    margin-top: 1.7em;
    margin-bottom: 0.5em;
    font-size: 1.15em;
    border-left: 4px solid var(--primary-color);
    padding-left: 10px;
    font-weight: 600;
  }

.standard-container img {
  display: block;
  margin: 20px auto 0 auto;
  border-radius: 12px;
  max-width: 100%;
  height: auto;
  }

.standard-container a {
  color: var(--accent-color);
  text-decoration: none;
  font-weight: bold;
}

.standard-container a:hover {
  text-decoration: underline;

}

.standard label {
  display: block;
  margin-bottom: 6px;
  font-weight: 500;
  color: var(--primary-color);
  text-align: left;
}

.underline-text {
    text-decoration: underline;
}

/* ****************************************************** */
/* Media Queries */ 
/* ****************************************************** */

@media screen and (max-width: 600px) {

  #controls {
    flex-direction: column;
    align-items: center;
  }

  .tooltip {
    display: none !important;
  }

  label {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    width: 100%;
  }

  button,
  textarea,
  select,
  input {
    width: 80%;
    min-width: unset;
    margin: 5px;
  }

  .voucher-btn {
    width: unset;
    min-width: unset;

  }

  .close-modal {
    width: unset;
    min-width: unset;
  }

   /* Bloc pour afficher les infos en ligne */
  .summary-details {
    color: var(--primary-color);
    display: flex;
    justify-content: center;
    gap: 10px; /* espace entre les éléments */
    flex-wrap: wrap; /* utile si l'écran est petit */
  }

  .summary-details p {

    margin: 0;
    font-size: 0.7em;
  }
 
  .datetime-label {
    font-size: 1.1rem;
    gap: 8px;
    text-align: left;
  }

  .datetime-label input[type="datetime-local"] {
    width: 100%;
    min-width: unset;
    max-width: 100%;
    flex-grow: 1;
  }

  .activity-card {
    flex: 1 1 calc(50% - 5px);
    max-width: calc(50% - 5px);
    min-width: 0;       /* Empêche les débordements */
    margin: 5px 0;
    box-sizing: border-box;
  }

  .activity-card img {
    width: 100%;
    max-width: 120px;
    height: auto;
    object-fit: contain;
  }

  .activity-card h3 {
    margin: 0;
    color: var(--text-color);
    font-size: 1em;
  }

  .download-button {
    font-size: 14px;
    padding: 10px;
    width: 100%;
    /*white-space: normal; Autorise le retour à la ligne si nécessaire */
  }

  .race-date {
    top: 60px!important;
  }

  .race-km {
    top: 82px!important;
  }

}